<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

			<!-- defines page layout -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="simple" page-width="21cm" page-height="27.9cm" margin-top="0.5cm" margin-bottom="0.5cm" margin-left="0.5cm" margin-right="0.5cm">
					<fo:region-body />
				</fo:simple-page-master>
			</fo:layout-master-set>


			<!-- defines the content -->
			<fo:page-sequence master-reference="simple">

				<fo:flow flow-name="xsl-region-body">
					<!-- Report Title -->
					<fo:block font-size="16pt" font-family="Helvetica" font-weight="bold" line-height="26pt" space-after.optimum="12pt" text-align="center">User Report</fo:block>
				
					<fo:table border-top="solid black" border-bottom="solid black" border-left="solid black" border-right="solid black" font-size="6.5pt">
						<!-- Column width setting  -->
						<fo:table-column column-width="10cm" />
						<fo:table-column column-width="8cm" />
						<fo:table-column column-width="2cm" />
						
						<fo:table-header>
							<!-- Report Headers   -->
							<fo:table-row>
								<!-- User Full Name -->
								<fo:table-cell border-top="solid black" border-bottom="solid black" border-right="solid black" padding="3pt">
									<fo:block>
									<xsl:value-of select="//MetaData/List/Item[@FlPlnCmpntAttrDefColNm='TS_UsrDir.UsrFllNm']/@FlPlnCmpntAttrDefCapt"/>
									</fo:block>
								</fo:table-cell>

								<!-- User Name -->
								<fo:table-cell border-top="solid black" border-bottom="solid black" border-right="solid black" padding="3pt">
									<fo:block >
									<xsl:value-of select="//MetaData/List/Item[@FlPlnCmpntAttrDefColNm='TS_UsrDir.UsrNm']/@FlPlnCmpntAttrDefCapt"/>
									</fo:block>
								</fo:table-cell>
								
								<!-- Record Host ID -->
								<fo:table-cell border-top="solid black" border-bottom="solid black" padding="3pt">
									<fo:block >
									<xsl:value-of select="//MetaData/List/Item[@FlPlnCmpntAttrDefColNm='TS_UsrDir.RecHsID']/@FlPlnCmpntAttrDefCapt"/>
									</fo:block>
								</fo:table-cell>

							</fo:table-row>													
						</fo:table-header>
						<!-- Records -->
						<fo:table-body>
							<xsl:for-each select="//Data/List/Item">

									<fo:table-row>
										<!-- User Full Name -->
										<fo:table-cell border-right="solid black" padding="2pt">
											<fo:block text-align="start">
												<xsl:value-of select="@TS_UsrDir.UsrFllNm" />		 
											</fo:block>
										</fo:table-cell>

										<!-- User Name -->
										<fo:table-cell border-right="solid black"   padding="2pt">
											<fo:block text-align="start">
												<xsl:value-of select="@TS_UsrDir.UsrNm" />
											</fo:block>
										</fo:table-cell>
										
										<!-- Record Host ID -->
										<fo:table-cell border-right="solid black"   padding="2pt">
											<fo:block text-align="start">
												<xsl:value-of select="@TS_UsrDir.RecHsID" />
											</fo:block>
										</fo:table-cell>

									</fo:table-row>

							</xsl:for-each>
						</fo:table-body>
					</fo:table>

				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>

</xsl:stylesheet>